# test for eccentric waveform model with advancement periastron

accounting = ligo.dev.o3.cbc.pe.lalinference

trigger-time = 1240215503.017

label = TaylorF2EccPerAdvFDLeO20Hz_fmax512Hz
outdir = outdir_TaylorF2EccPerAdvFDLeO20Hz_fmax512Hz

detectors = [L1, V1]
sampling-frequency = 2048.
duration = 160.
post-trigger-duration = 1.0
minimum-frequency=20.
maximum-frequency=512.
reference_frequency=30.
#psd-maximum-duration=1024

sampler = dynesty
sampler-kwargs = {'nlive': 1000, resume=True}

channel-dict = {L1:DCS-CALIB_STRAIN_CLEAN_SUB60HZ_C01, V1:Hrec_hoft_16384Hz}

waveform-approximant = TaylorF2EccPerAdvFDLeO
frequency-domain-source-model = lal_TaylorF2EccPerAdvFDLeO
phase-marginalization =True
time-marginalization =True
#distance-marginalization =True

n-simulation = 1
n-parallel = 1
request-memory = 8.0
request-cpus = 16


prior-dict = {
chirp_mass = bilby.gw.prior.UniformInComponentsChirpMass(name='chirp_mass', minimum=1.3,maximum=1.8),
mass_ratio = bilby.gw.prior.UniformInComponentsMassRatio(name='mass_ratio', minimum=0.1, maximum=1.),
eccentricity = Uniform(name='e0', minimum=0.0, maximum=0.1),
luminosity_distance =  PowerLaw(alpha=2, name='luminosity_distance', minimum=10.0, maximum=1000.0, unit='Mpc'),
theta_jn = Sine(name='theta_jn'),
psi =  Uniform(name='psi', minimum=0, maximum=6.283185307179586),
phase = Uniform(name='phase', minimum=0, maximum=6.283185307179586),
ra = Uniform(name='ra', minimum=0, maximum=6.283185307179586, boundary='periodic'),
dec = Cosine(name='dec'),
}